import type { UmbSearchResultItemModel } from '../types.js';
import { nothing } from '../../../../external/lit/index.js';
import { UmbLitElement } from '../../lit-element/index.js';
export declare class UmbSearchResultItemElement extends UmbLitElement {
    item?: UmbSearchResultItemModel;
    render(): typeof nothing | import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export { UmbSearchResultItemElement as element };
declare global {
    interface HTMLElementTagNameMap {
        'umb-search-result-item': UmbSearchResultItemElement;
    }
}
